## Class Swift_Plugins_Loggers_ArrayLogger

(line 17)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Plugins/Loggers/ArrayLogger.php

##### Logs to an Array backend.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Plugins_Loggers_ArrayLogger __construct ([ $size = 50])
void add (string $entry)
void clear ()
string dump ()

#### Constructor __construct (line 38)

#### Swift_Plugins_Loggers_ArrayLogger __construct( [ $size = 50])

##### Create a new ArrayLogger with a maximum of $size entries.

#### Parameters

- $size:

#### Info

- access - public

#### Method add (line 47)

#### void add( string $entry)

Implementation of:

Swift_Plugins_Logger::add()
  Add a log entry.

##### Add a log entry.

#### Parameters

- string $entry:

#### Info

- access - public

#### Method clear (line 59)

#### void clear( )

Implementation of:

Swift_Plugins_Logger::clear()
  Clear the log contents.

##### Clear the log contents.

#### Info

- access - public

#### Method dump (line 68)

#### string dump( )

Implementation of:

Swift_Plugins_Logger::dump()
  Get this log as a string.

##### Get this log as a string.

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:13 +0000 by phpDocumentor 1.4.3